Description

Al intentar georreferenciar una imagen TIF con referencia una capa WMS aparece el error que se muestra a continuación.

    -  No se genera el fichero que se indicaba como parámetro New_Layer.tif
    -  El fichero de log de gvSIG no indica ninguna excepción

History
#1 - 01/24/2014 06:06 PM - Álvaro Anguix
- Target version set to 2.1.0-2223-rc1

#2 - 01/28/2014 10:23 AM - Ignacio Brodín
Si has seleccionado la opción "Transformación afín" que viene por defecto no genera ningún raster nuevo. Lo único que hace es aplicarle una
transformación afín a la imagen a georreferenciar (lo que viene siendo un tfw.). Si has seleccionado la opción "Transformación polinomial" si que
genera la imagen con el nombre que tu le indiques.

En ambos casos antes de cerrar la aplicación de georreferenciación debes ejecutar el proceso. Este proceso, o bien genera la tranformación afín, o
bien genera el nuevo fichero con la polinomial dependiendo de lo que le hayas dicho. Cuando cierras la aplicación, si no ejecutaste el proceso  (el
botón de la rueda dentada) te avisará de que no lo has hecho.

Quizás lo que si que ocurre es que el mensaje es algo confuso porque ese mensaje está bien cuando si se genera fichero no en este.

#3 - 01/28/2014 10:33 AM - Álvaro Anguix

Entonces entiendo que la solución pasa por cambiar el mensaje en este caso.

#4 - 01/28/2014 11:13 AM - Ignacio Brodín

Pues si, eso ya lo he hecho pero estaba mirando otra cosa que no me convence, y es que cuando carga la capa en la vista en caso de que sea
polinomial, no está poniendo nombre a la capa. Esto no pasaba y produce múltiples problemas.

#5 - 01/28/2014 11:49 AM - Ignacio Brodín

Finalmente el mensaje que aparece será el siguiente si lo veis bien "El proceso no ha sido ejecutado. Ejecútelo antes si desea salvar la
transformación para esa capa."

Otra detalle que he modificado es que he visto que el dialogo para introducir el tamaño de píxel que aparece al final debería aparecer deshabilitado en
caso de que la transformación sea afín. En este caso no se genera capa nueva por lo que el tamaño de píxel sería igual al de la original.

gvsig-georeferencing:r47

#6 - 01/28/2014 12:40 PM - Ignacio Brodín
- Status changed from New to Fixed

One more thing.

Cuando ejecutas el proceso y la capa de test se carga en la vista de la izquierda se estaba haciendo y zoom completo a todas las capas.
Georreferenciando con capas con mucha extensión, por ejemplo WMS de catastro, me he dado cuenta que esto es muy incómodo porque cuando
haces un test te hace un zoom completo al mapa de España. He cambiado esto y ahora cuando ejecutas el proceso hace zoom en la vista de la
izquierda (la del mapa) al área de la imagen que estás georreferenciando. Otra opción sería no tocar el zoom cuando haces test, la verdad es que no
se que es lo mejor. Si no decís nada lo dejo así.

gvsig-georeferencing:r49

#7 - 01/28/2014 12:56 PM - Álvaro Anguix
- Target version changed from 2.1.0-2223-rc1 to 2.1.0-2218-testing

#8 - 01/28/2014 01:09 PM - José Vicente Higón
Es un poco confuso porque sólo si queda activo el test de la georreferenciación es cuando se realiza el proceso. A simple vista, el botón de test
parece que sea para montar la capa georreferenciada en la vista de referencia, sólo eso. De todas formas, si ese es el comportamiento, pues perfecto
(fallo mío por no leer el manual).
Lo que sí que he notado es que la transformación afín en un TIF no genera el tfw, genera un .rmf. Tampoco es problema porque el resultado  que se
carga en la vista se puede exportar (eso sí, hay que cambiar el nombre de la capa porque aparece sin nombre).

#9 - 02/01/2014 01:50 PM - Álvaro Anguix
- Status changed from Fixed to Closed
